Loading...
Searching...
No Matches
vtrellis Struct Reference

## Data Fields

int | num_states
int16_t * | sums
int16_t * | outputs
uint8_t * | vals

## Field Documentation

## num_states

int vtrellis::num_states

Referenced by generate_trellis(), and traceback().

## outputs

int16_t* vtrellis::outputs

Referenced by forward_traverse(), free_trellis(), and generate_trellis().

## sums

int16_t* vtrellis::sums

Referenced by forward_traverse(), free_trellis(), generate_trellis(), and traceback().

## vals

uint8_t* vtrellis::vals

Referenced by _traceback(), _traceback_rec(), free_trellis(), and generate_trellis().

The documentation for this struct was generated from the following file:

- src/conv_acc.c